wake-up-neo.com

macOS 10.14 (beta) So installieren Sie Command_Line_Tools_macOS_10.14_for_Xcode_10_Beta

Als Titel meiner Frage weiß ich nicht, wie ich Command_Line_Tools_macOS_10.14_for_Xcode_10_Beta für meinen Mac installieren soll. Bitte helfen Sie.

Was ich getan habe:

  1. führen Sie den Befehl "brew install carthage" aus, um den Carthage zu installieren.

Fehler: Ihr Xcode (9.4.1) ist zu veraltet . Bitte aktualisieren Sie auf Xcode 10.0 (oder löschen Sie es) . Xcode kann von .__ aus aktualisiert werden. https://developer.Apple.com/download/more/

  1. führen Sie den Befehl "xcode-select --install" in Terminal als die zweite Antwort von @Dev aus, aber nach "brew install carthage" erhalte ich immer noch die gleichen Fehler.

error

  1. laden Sie die .dmg-Datei von Apple-Site herunter. Ich habe zu viele Tools nach dem Öffnen erhalten:

tools

Ich habe versucht, die beiden .pkg zu installieren, die im angehängten Bild mit einem roten Rechteck markiert sind, aber der Fehler kommt immer noch.

Umgebung:

macOS 10.14 Beta
Xcode(Installed 2 versions on the Mac): 
10 (Beta), 
9.4.1
20
Raniys

Es sieht so aus, als hätten Sie zwei xcode-Versionen auf Ihrem Rechner installiert ... __ Wählen Sie zunächst die neueste Version des xcodes aus, indem Sie diesen Befehl ausführen

Sudo xcode-select -switch <path/to/>Xcode.app

Sobald dies geschehen ist, installieren Sie die erforderlichen Befehlszeilentools, führen jedoch den folgenden Befehl aus:

xcode-select --install
29
Vighnesh Pai

Das hat für mich funktioniert:

  1. Laden Sie "Xcode 10.0 Beta" von https://developer.Apple.com/download/ herunter.
  2. Entpacken Sie es und verschieben Sie es nach /Applications.
  3. Laden Sie "Command Line Tools (macOS 10.14) für Xcode 10 Beta" von https://developer.Apple.com/download/more/ herunter.
  4. Führen Sie das Installationsprogramm für "Command Line Tools" aus.
  5. Starten Sie die Anwendung Xcode-beta und warten Sie, bis die erforderlichen Pakete installiert sind, wenn Sie beim Starten dazu aufgefordert werden
  6. Führen Sie dies von der Befehlszeile aus aus Sudo xcode-select -switch /Applications/Xcode-beta.app/

Nun sollte brew update wieder funktionieren.

14
Ev Haus

Dies behebte die Dinge für mich auf einer neuen 10.14 Beta 3 Installation.

Sudo installer -pkg /Library/Developer/CommandLineTools/Packages/macOS_SDK_headers_for_macOS_10.14.pkg -target /
11
Weblogix

Folgendes hat für mich gearbeitet:

Nach der Aktualisierung auf Mojave 10.14 Gehen Sie zu https://developer.Apple.com/download/more/ Suchen Sie nach "Befehlszeile" und dann 

download "Befehlszeilentool für MacOS 10.14"

Nachdem dmg heruntergeladen wurde, installieren Sie das Paket.

Paketinstallation überprüfen  enter image description here

5
Jyoti Prakash

Es gibt ein Problem mit Beta 3 und Homebrew. Ich verbrachte buchstäblich 2 Stunden damit, alles, was hier aufgeführt wurde, zu probieren. Ich konnte es nur durch die Installation von Beta 2, Homebrew und die Aktualisierung auf Beta 3 schaffen.

Homebrew und Beta 3 - Befehlszeilen-Tools

2
Jose Orihuela

Führen Sie im Terminal den Befehl aus: 

Sudo xcode-select -switch /Applications/Xcode-beta.app

Hinweis:xcode-select --install ist veraltet, die Befehlszeilentools sollten jedoch bereits installiert sein.

0
Federico